com.tibbo.aggregate.common.dao

## Class ClusterNodeStatus

- java.lang.Object
- - com.tibbo.aggregate.common.datatable.AggreGateBean
  - - com.tibbo.aggregate.common.dao.ClusterNodeStatus

-     public class ClusterNodeStatus
      extends AggreGateBean

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClusterNodeStatus()`
    `ClusterNodeStatus(DataRecord data)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCounter()`
    `java.lang.String` | `getId()`
    `java.util.Date` | `getLastHeartBeatTime()`
    `int` | `getRole()`
    `boolean` | `isActive()`
    `boolean` | `isSynchronizing()`
    `void` | `setActive(boolean active)`
    `void` | `setCounter(int counter)`
    `void` | `setId(java.lang.String id)`
    `void` | `setLastHeartBeatTime(java.util.Date lastHeartBeatTime)`
    `void` | `setRole(int role)`
    `void` | `setSynchronizing(boolean synchronizing)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.tibbo.aggregate.common.datatable.AggreGateBean

      `getFormat, toDataRecord, toDataTable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ClusterNodeStatus

          public ClusterNodeStatus()

    - #### ClusterNodeStatus

          public ClusterNodeStatus(DataRecord data)

  - ### Method Detail

    - #### getId

          public java.lang.String getId()

    - #### setId

          public void setId(java.lang.String id)

    - #### getRole

          public int getRole()

    - #### setRole

          public void setRole(int role)

    - #### isActive

          public boolean isActive()

    - #### setActive

          public void setActive(boolean active)

    - #### getCounter

          public int getCounter()

    - #### setCounter

          public void setCounter(int counter)

    - #### isSynchronizing

          public boolean isSynchronizing()

    - #### setSynchronizing

          public void setSynchronizing(boolean synchronizing)

    - #### getLastHeartBeatTime

          public java.util.Date getLastHeartBeatTime()

    - #### setLastHeartBeatTime

          public void setLastHeartBeatTime(java.util.Date lastHeartBeatTime)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`